// big card / nft view
.w-card {
    max-width: 610px;
    margin: 0 auto;
    color: #fff;
    position: relative;

    .bg {
        background-color: $gray;
        border-radius: 20px;
    }

    .btn-lg {
        width: 100%;
    }

    .w-card__btn {
        margin-top: 20px;
    }

    .discount-label {
        position: absolute;
        top: 60px;
        left: -10px;
        z-index: 7;
        span {
            display: block;
            position: relative;
            background-color: $red;
            display: flex;
            align-items: center;
            height: 38px;
            padding: 2px 18px 0;
            text-transform: uppercase;
            color: #fff;
            font-size: 20px;
            line-height: 21px;
            font-weight: bold;
            z-index: 2;
        }

        &::before {
            content: '';
            display: block;
            width: 0; 
            height: 0; 
            border-top: 10px solid transparent;
            border-bottom: 10px solid transparent; 
            border-right:10px solid #931717;
            position: absolute;
            left: 0;
            bottom: -10px;
            z-index: 1;
        }

        svg {
            position: absolute;
            left: 100%;
            margin-left: -5px;
            top: 0;
        }
    }

    @media(min-width: $sm) {
        .w-card__btn {
            margin-top: 32px;
        }
    }
}




// card info: id, address and actions

.w-card__meta {

    @include text-14-18();

    padding: 16px 16px 14px;
    display: flex;
    justify-content: space-between;
    align-items: center;

    .i-tip {
        padding: 0 4px;
    }

    .btn-copy {
        line-height: 1.5;
        margin-right: 16px;
        font-weight: bold;
        .title {
            margin-right: 3px;
            margin-right: 6px;
            font-weight: 300;
        }
    }

    @media(min-width: $sm) {
        padding: 20px 30px;

        .btn-copy {
            margin-right: 24px;
        }
    }

}

.w-card__id {
    margin-right: 16px;
    line-height: 32px;
    font-size: 22px;
}

.w-card__network {
    img {
        display: block;
        width: 24px;
        height: 24px;
    }
}

// token image
.w-card__token {
    position: relative;
    overflow: hidden;
    background-color:  #2e2e2e;
    &::before {
        content: '';
        display: block;
        padding-top: 100%;
    }
    .inner {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;

        display: flex;
        align-items: center;
        justify-content: center;
        text-decoration: none;
    }

    .extra,
    .extra-right {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        padding-left: 16px;
        padding-top: 10px;
        z-index: 5;
    }

    .default {
        text-align: center;
        img {
            display: block;
            margin: 0 auto 20px;
        }
        span {
            display: block;
            text-align: center;
            text-transform: uppercase;
        }
    }

    .img {
        display: block;
        max-width: 100%;
        max-height: 100%;
        transition: transform 0.2s ease;
    }

    .wnft-rules {
        display: flex;
        position: absolute;
        right: 16px;
        span {
            display: block;
            margin-left: 4px;
            img {
                display: block;
                background-color: #000;
                border-radius: 6px;
            }
        }
    }

    .extra-right {
        left: auto;
        right: 0;
        display: flex;
        flex-direction: column;
        align-items: flex-end;
        width: auto;
        padding-right: 16px;

        .wnft-rules {
            position: static;
            flex-direction: column;
            span {
                margin-left: 0;
                margin-bottom: 4px;
            }
        }
        .w-card__tag {
            margin-right: 0;
            margin-left: 8px;
            margin-bottom: 8px;
        }
    }
    
    @media(min-width: $sm) {
        .extra {
            padding-left: 20px;
        }
        .extra-right {
            padding-left: 0;
            padding-right: 20px;
        }
        .wnft-rules {
            right: 20px;
        }
    }
    @media(min-width: $md) {

    }
}


.w-card__tag {
    display: inline-flex;
    align-items: center;
    height: 24px;
    font-size: 12px;
    line-height: 1em;
    font-weight: bold;
    color: $black;
    padding: 0 6px ;
    border-radius: 4px;
    background-color: $green2;
    margin-right: 8px;

    .img {
        display: block;
        height: 20px;
        width: auto;
        margin-left: 4px;
    }

    .text {
        margin-top: 2px;
    }

}


// token params
.w-card__param.with-padding {
    padding: 16px 16px 20px;
    @media(min-width: $sm) {
        padding: 20px 30px 32px;
    }
}


// small card / prewiew
.w-card-preview {
    .bg {
        border-radius: 0;
        border-top-left-radius: 20px;
        border-top-right-radius: 20px;
        &:last-child {
            border-bottom-left-radius: 20px;
            border-bottom-right-radius: 20px;
        }
    }

    .btn-lg {
        border-top-left-radius: 0;
        border-top-right-radius: 0;
        border-bottom-left-radius: 20px;
        border-bottom-right-radius: 20px;
    }

    .btn-copy {
        color: #fff;
        font-size: 14px;
        margin-right: 16px;
    }

    .w-card__param {
        padding-bottom: 0;
        padding-top: 5px;
    }

    .form-row {
        flex-wrap: wrap;
    }

    .field-wrap {
        padding: 16px 20px 16px;
    }

    .field-control {
        font-size: 18px;
        height: 23px;
        line-height: 20px;
    }

    .btn-add {
       position: relative;
       top: 1px;
    }

    .w-card__token {
        .inner {
            overflow: hidden;
            &:not(.no-scale):hover {
                .img {
                    transform: scale(1.1);
                }
            }
        }
    }

    &.no-param {
        .w-card__token {
            border-bottom-left-radius: 20px;
            border-bottom-right-radius: 20px;
        }
    }

    &.no-meta {
        .w-card__token {
            border-top-left-radius: 20px;
            border-top-right-radius: 20px;
        }
    }

    @media(min-width: $sm) {
        .w-card__meta {
            padding: 14px 20px 14px;
        }
        .btn-token-link {
            right: 20px;
        }
    }
}

.w-card__action {
    position: relative;

    &:hover {
        .list-action {
            display: block;
        }
        .btn-action {
            opacity: 0.6;
        }
    }

    .list-action {
        list-style-type: none;
        padding: 0;
        margin: 0;
        position: absolute;
        right: -15px;
        top: 100%;
        background: linear-gradient(180deg, rgba(0, 0, 0, 0.04) 0%, rgba(0, 0, 0, 0.198) 100%), #343434;
        border-radius: 10px;
        width: 200px;
        padding: 2px 0;
        color: #fff;
        z-index: 10;

        li {
            padding: 0;
            border-bottom: 1px solid rgba(#fff, 0.2);
            &:last-child {
                border-bottom: 0;
            }
        }

        button {
            background: transparent;
            border: 0;
            width: 100%;
            padding: 10px 18px;
            font-size: 14px;
            line-height: 18px;
            text-align: center;
            font-weight: 500;
            color: #fff;
           
            &:hover {
                opacity: 0.6;
            }
        }

        .data {
            display: block;
            font-size: 16px;
            text-transform: uppercase;
            margin-top: 3px;
            font-weight: bold;
            color: $green1;
            word-break: break-word;
            white-space: normal;
        }
    }

    @media(min-width: $sm) {
        .list-action {
            right: -60px;
        }
    }
}

// dashboard card status
.w-card__status {
    height: 78px;
    font-size: 18px;
    line-height: 21px;
    font-weight: bold;
    background-color: #343D3D;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    text-align: center;
    border-bottom-left-radius: 20px;
    border-bottom-right-radius: 20px;
    svg {
        display: inline-block;
        margin-right: 10px;
    }

    .small {
        display: block;
        width: 100%;
        font-size: 14px;
        line-height: 16px;
        color: rgba(#fff, 0.8);
        text-align: center;
        text-transform: initial;
        margin-bottom: 10px;
        font-weight: 300;
    }
}

//  card bottom with gray button (launchpad)
.w-card__bottom {
    padding: 3px 16px 18px;
    font-size: 18px;
    line-height: 21px;
    font-weight: bold;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    text-align: center;
    border-bottom-left-radius: 20px;
    border-bottom-right-radius: 20px;
    background-color: $gray;

    .btn {
        width: 100%;
    }

    @media(min-width: $sm) {
        padding: 3px 20px 18px;
    }
}

//  card discount

.w-card__discount-wrap {
    position: absolute;
    bottom: 0;
    width: 100%;
    z-index: 6;

    .btn-close {
        border-radius: 40px;
        background-color: $gray;
        position: absolute;
        top: 0;
        right: 16px;
        transform: translateY(-50%);
        width: auto;
        svg {
            margin-right: 0;
            margin-left: 12px;
        }
        &:hover {
            background: #21CE92;
        }
    }
    @media(min-width: $sm) {
        .btn-close {
            right: 20px;
        }
    }
}

.w-card__discount-bg {
    position: absolute;
    top: 0;
    bottom: 0;
    height: 100%;
    width: 100%;
    z-index: 5;
    background: rgba($gray, 0.75);
    border-radius: 20px;
}


.w-card__discount {
    //border-top: 1px solid rgba(#fff, 0.2);
    background-color: $gray;
    padding: 48px 16px 16px;

    .discount__codes {
        .input-promo {
            margin-bottom: 20px;
        }
    }

    .discount__total {
        border: 1px solid #3A3A3A;
        border-radius: 16px;
        padding: 1em 1.4em;
        font-size: 16px;
        line-height: 1em;
        font-weight: bold;
        .d-flex {
            justify-content: space-between;
            margin-bottom: 12px;
            &:last-child {
                margin-bottom: 0;
            }
        }
    }
    @media(min-width: $sm) {
        padding: 48px 20px 20px;
    }
}


// for launchpad cards

.param-row {
    display: flex;
    justify-content: space-between;
    white-space: nowrap;
    align-items: center;
    padding: 16px 16px;

    border-top: 1px solid rgba(#fff, 0.2);
    height: 66px;

    &:first-child {
        border-top: 0;
    }

    .field-label {
        width: 30%;
        flex-shrink: 0;
    }

    .field-unit {
        align-self: center;
    }

    .select-coin {
        top: 0;
    }

    .field-collateral {
        flex-grow: 1;
        flex-shrink: 0;
        width: 70%;

        .sum {
            font-size: 14px;
            color: rgba(255,255,255,.5);
        }

        .coins {
            margin-top: -2px;
        }
    }

    .field-collateral__value {
        width: 100%;
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

    .discount {
        background-color: $red;
        color: #fff;
        padding: 3px 10px 1px;
        border-radius: 8px;
    }

    @media(min-width: 414px) {
        .field-label {
            width: 35%;
        }

        .field-collateral {
            width: 65%;
        }
    }

    @media(min-width: $md) {
        padding: 20px 20px;
    }
}

// пагинация ----------------

.pagination {
    margin:  0 -4px 40px;

    ul {
        list-style-type: none;
        padding: 0;
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
    }

    li {
        padding: 0 4px;
        margin-bottom: 8px;
    }

    a, span, button {
        display: flex;
        align-items: center;
        justify-content: center;
        width: 40px;
        height: 40px;
        border-radius: 10px;
        padding-top: 2px;
        background-color: $gray;
        text-align: center;
        font-size: 18px;
        line-height: 18px;
        font-weight: bold;
        color: #fff;
        text-decoration: none;
        border: 0;

        &.active {
            background-color:#343D3D;

            &:hover {
                background-color:#343D3D;
                cursor: default;
            }
        }

        &.arrow {
            background-color: transparent;
        }
        &:hover {
            background-color: rgba(#fff, 0.5);
        }
        &.disabled {
            opacity: 0.2;
            cursor: default;
            &:hover {
                background-color: inherit;
            }
        }
    }
    span {
        cursor: default;
    }

    &.active a,
    &.active button {
        background-color:#343D3D;
    }

    @media(min-width: $lg) {
        a, span, button {
            width: 56px;
            height: 56px;
            padding-top: 4px;
        }
    }
}

